net.sourceforge.pmd.lang.java.rule.codesize

## Class CyclomaticComplexityTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.lang.java.rule.codesize.CyclomaticComplexityTest

    public class CyclomaticComplexityTest
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CyclomaticComplexityTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testConstructor()`
`void` `testLessComplicatedThanReportLevel()`
`void` `testNastyComplicatedMethod()`
`void` `testOneMethod()`
`void` `testRemainingTestCases()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CyclomaticComplexityTest

    public CyclomaticComplexityTest()

### Method Detail

#### setUp

    public void setUp()

#### testOneMethod

    public void testOneMethod()
                       throws Throwable

Throws:
  `Throwable`

#### testNastyComplicatedMethod

    public void testNastyComplicatedMethod()
                                    throws Throwable

Throws:
  `Throwable`

#### testConstructor

    public void testConstructor()
                         throws Throwable

Throws:
  `Throwable`

#### testLessComplicatedThanReportLevel

    public void testLessComplicatedThanReportLevel()
                                            throws Throwable

Throws:
  `Throwable`

#### testRemainingTestCases

    public void testRemainingTestCases()

#### suite

    public static junit.framework.Test suite()